Bug 167748 - pyuno python scripts are not found by OOo
Summary: pyuno python scripts are not found by OOo
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-07 19:40 UTC by Bryan Cole
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-09 08:15:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of them (21.43 KB, image/png)
2005-09-08 08:33 UTC, Caolan McNamara
no flags Details

Description Bryan Cole 2005-09-07 19:40:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Epiphany/1.6.5

Description of problem:
Although I have the pyuno scripting framework installed, no python scripts are found (in either ~/.openoffice.org2.0/User/Scripts/python or 
/usr/lib/openoffice.org2.0/share/Scripts/python)

This includes the examples scripts shipped with the pyuno package. When you browse python scripts under Tools->Macros->Organise Macros->Python, no scripts are shown at all.

I guess this might be specific to the FC4 packaging (python scripts used to show up in earlier beta versions, pre FC4)

NB. Other scripts, like OOo-Basic, Beanshell etc. work fine.

Version-Release number of selected component (if applicable):
openoffice.org-1.9.125 (2beta2)

How reproducible:
Always

Steps to Reproduce:
1. try to run a python script
2.
3.
  

Additional info:

Comment 1 Caolan McNamara 2005-09-08 08:33:25 UTC
Created attachment 118584 [details]
screenshot of them

do you have the openoffice-1.9.125-pyuno rpm installed ?

Comment 2 Bryan Cole 2005-09-09 08:15:50 UTC
Ooops... Python scripts work fine for other users on the same system (and other
systems). Guess this is a problem with my local user config. 

Appologies for any time wasted on this.


Note You need to log in before you can comment on or make changes to this bug.